POST
/discount-groups Creates a new discount group.
If successful, your response includes a copy of the new discount group entity.
Requires discount.write
permission.
Request body
namestringrequired
Name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
Response (201)
dataobjectrequired
Represents a discount group entity.
idstringrequired
Example:
dsg_01js2gqehzccfkywgx1jk2mtspUnique Paddle ID for this discount group, prefixed with
dsg_.Pattern:
^dsg_[a-z\d]{26}$namestringrequired
Unique name of this discount group, typically something short and memorable for categorization. Not shown to customers.
Length: 1–500
statusstringrequired
Whether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
{ "name": "Black Friday 2024"}{ "data": { "id": "dsg_01js2gqehzccfkywgx1jk2mtsp", "status": "active", "name": "Black Friday 2024", "import_meta": null, "created_at": "2024-11-28T14:36:14.695Z", "updated_at": "2024-11-28T14:36:14.695Z" }, "meta": { "request_id": "1681f87f-9c36-4557-a1da-bbb622afa0cc" }}